Subject: [alpine-aports] [PATCH] main/zeromq: upgrade to 4.2.2

From: Valery Kartel <[email-masked]>
Date: Thu, 23 Mar 2017 11:09:37 +0200

- add check()
- cleanups
---
 main/zeromq/APKBUILD | 35 ++++++++++++++---------------------
 1 file changed, 14 insertions(+), 21 deletions(-)

diff --git a/main/zeromq/APKBUILD b/main/zeromq/APKBUILD
index 02c99c1c27..bba293fd83 100644
--- a/main/zeromq/APKBUILD
+++ b/main/zeromq/APKBUILD
@@ -1,25 +1,17 @@
 # Contributor: Natanael Copa <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=zeromq
-pkgver=4.1.5
-pkgrel=1
+pkgver=4.2.2
+pkgrel=0
 pkgdesc="The ZeroMQ messaging library and tools"
 url="http://www.zeromq.org/"
 arch="all"
 license="LGPLv3+ with exceptions"
-depends=""
-makedepends="util-linux-dev libsodium-dev perl python2 asciidoc xmlto
-	autoconf automake"
+makedepends="util-linux-dev libsodium-dev libunwind-dev
+	perl python2 asciidoc xmlto autoconf automake"
 subpackages="$pkgname-dev $pkgname-doc libzmq"
-source="https://github.com/zeromq/zeromq4-1/releases/download/v$pkgver/$pkgname-$pkgver.tar.gz"
-
-builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
-	cd "$builddir"
-	update_config_sub || return 1
-	default_prepare || return 1
-}
+source="https://github.com/zeromq/libzmq/releases/download/v$pkgver/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
 	cd "$builddir"
@@ -32,20 +24,21 @@ build() {
 		--infodir=/usr/share/info \
 		--with-libsodium \
 		|| return 1
-	make || return 1
+	make
+}
+
+check() {
+	make -C "$builddir" check
 }
 
 package() {
-	cd "$builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make -C "$builddir" DESTDIR="$pkgdir" install
 }
 
 libzmq() {
 	pkgdesc="The ZeroMQ messaging library"
-	install -d "$subpkgdir"/usr/lib
+	mkdir -p "$subpkgdir"/usr/lib || return 1
 	mv "$pkgdir"/usr/lib/libzmq.so.* "$subpkgdir"/usr/lib/
 }
 
-md5sums="e7adf4b7dbae09b28cfd10d26cd67fac  zeromq-4.1.5.tar.gz"
-sha256sums="04aac57f081ffa3a2ee5ed04887be9e205df3a7ddade0027460b8042432bdbcf  zeromq-4.1.5.tar.gz"
-sha512sums="b5098e7ea7fe7fdae75846a804d175bcb414a4f8212a15b9c1c2e52f3541aa603e773061db7ea92075e1f9f9be40572aba1c133b233a8ac2458bccf8427e407e  zeromq-4.1.5.tar.gz"
+sha512sums="d78813a61ce3311a1f8c230f7da0f5aedc97ef4b792afb6d398c5710da239348c0c7a67bdfeb38a7ab0282af498f1ed173649aff4add1bc35f0ef1b66f965443  zeromq-4.2.2.tar.gz"
-- 
2.12.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Leonardo Arena <[email-masked]>
Date: Thu, 23 Mar 2017 12:19:31 +0100

Hi,

> +++ b/main/zeromq/APKBUILD

If you remove "|| return 1" it might complicate to backport any patch to
stable branches.

> +	make -C "$builddir" check

Personally I'd not use "-C" option. I think it's less intuitive and not
in line with current trend.

> +	make -C "$builddir" DESTDIR="$pkgdir" install

Both previous comments apply here.

Thanks!

|_eo

---

From: Natanael Copa <[email-masked]>
Date: Thu, 23 Mar 2017 12:37:28 +0100

On Thu, 23 Mar 2017 12:19:31 +0100

> If you remove "|| return 1" it might complicate to backport any patch to

In this case it does not matter since its the last line in the
function. But in general, yes I want wait with removing the || return
1 til after we branched 3.6-stable.

Thanks!

-nc

---

---

From: Leonardo Arena <[email-masked]>
Date: Mon, 3 Apr 2017 10:21:29 +0200

Hi,

>>  1 file changed, 14 insertions(+), 21 deletions(-)

I've just tested the patch here and it fails on check()

PASS: tests/test_ancillaries
PASS: tests/test_pair_tcp
PASS: tests/test_pair_inproc
PASS: tests/test_reqrep_inproc
PASS: tests/test_system
PASS: tests/test_reqrep_tcp
PASS: tests/test_hwm
./config/test-driver: line 107: 19351 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_reqrep_device
PASS: tests/test_invalid_rep
PASS: tests/test_msg_flags
PASS: tests/test_connect_resolve
PASS: tests/test_sub_forward
PASS: tests/test_last_endpoint
./config/test-driver: line 107: 19607 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_term_endpoint
./config/test-driver: line 107: 19718 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_srcfd
PASS: tests/test_monitor
./config/test-driver: line 107: 19777 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_router_mandatory
./config/test-driver: line 107: 19807 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_router_mandatory_hwm
./config/test-driver: line 107: 19841 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_router_handover
PASS: tests/test_probe_router
PASS: tests/test_stream
./config/test-driver: line 107: 20039 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_stream_empty
PASS: tests/test_stream_disconnect
PASS: tests/test_hwm_pubsub
PASS: tests/test_msg_ffn
PASS: tests/test_unbind_inproc
./config/test-driver: line 107: 20188 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_unbind_wildcard
PASS: tests/test_stream_timeout
PASS: tests/test_ctx_options
PASS: tests/test_ctx_destroy
PASS: tests/test_disconnect_inproc
./config/test-driver: line 107: 20338 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_security_curve
PASS: tests/test_iov
PASS: tests/test_security_null
PASS: tests/test_security_plain
./config/test-driver: line 107: 20427 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_spec_rep
PASS: tests/test_immediate
PASS: tests/test_spec_req
PASS: tests/test_req_correlate
PASS: tests/test_spec_router
./config/test-driver: line 107: 20607 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_conflate
./config/test-driver: line 107: 20458 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_spec_dealer
./config/test-driver: line 107: 20669 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_issue_566
PASS: tests/test_inproc_connect
./config/test-driver: line 107: 20882 Segmentation fault      "$@" >
$log_file 2>&1
FAIL: tests/test_proxy_single_socket
PASS: tests/test_proxy
PASS: tests/test_getsockopt_memset
PASS: tests/test_setsockopt
PASS: tests/test_many_sockets
PASS: tests/test_diffserv
PASS: tests/test_connect_rid
PASS: tests/test_bind_src_address
./config/test-driver: line 107: 20516 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_spec_pushpull
PASS: tests/test_metadata
PASS: tests/test_capabilities
PASS: tests/test_xpub_nodrop
PASS: tests/test_xpub_welcome_msg
PASS: tests/test_atomics
PASS: tests/test_req_relaxed
PASS: tests/test_proxy_terminate
PASS: tests/test_sockopt_hwm
PASS: tests/test_stream_exceeds_buffer
PASS: tests/test_pub_invert_matching
PASS: tests/test_base85
PASS: tests/test_sodium
PASS: tests/test_bind_after_connect_tcp
PASS: tests/test_shutdown_stress
PASS: tests/test_ipc_wildcard
PASS: tests/test_pair_ipc
PASS: tests/test_reqrep_ipc
PASS: tests/test_use_fd_ipc
PASS: tests/test_use_fd_tcp
PASS: tests/test_zmq_poll_fd
PASS: tests/test_timeo
PASS: tests/test_fork
PASS: tests/test_abstract_ipc
PASS: tests/test_heartbeats
./config/test-driver: line 107: 22824 Aborted                 "$@" >
$log_file 2>&1
FAIL: tests/test_filter_ipc
PASS: tests/test_xpub_manual
make[4]: Entering directory
'/home/larena/aports/main/zeromq/src/zeromq-4.2.2'
Making all in doc
make[5]: Entering directory
'/home/larena/aports/main/zeromq/src/zeromq-4.2.2/doc'
make[5]: Nothing to be done for 'all'.
make[5]: Leaving directory
'/home/larena/aports/main/zeromq/src/zeromq-4.2.2/doc'
make[5]: Entering directory
'/home/larena/aports/main/zeromq/src/zeromq-4.2.2'
make[5]: Leaving directory
'/home/larena/aports/main/zeromq/src/zeromq-4.2.2'
make[4]: Leaving directory
'/home/larena/aports/main/zeromq/src/zeromq-4.2.2'
============================================================================
Testsuite summary for zeromq 4.2.2
============================================================================
# TOTAL: 79
# PASS:  63
# SKIP:  0
# XFAIL: 0
# FAIL:  16
# XPASS: 0
# ERROR: 0
============================================================================
See ./test-suite.log
Please report to [email-masked]
============================================================================
make[3]: *** [Makefile:4159: test-suite.log] Error 1
make[3]: Leaving directory
'/home/larena/aports/main/zeromq/src/zeromq-4.2.2'
make[2]: *** [Makefile:4267: check-TESTS] Error 2
make[2]: Leaving directory
'/home/larena/aports/main/zeromq/src/zeromq-4.2.2'
make[1]: *** [Makefile:5170: check-am] Error 2
make[1]: Leaving directory
'/home/larena/aports/main/zeromq/src/zeromq-4.2.2'
make: *** [Makefile:4044: check-recursive] Error 1
make: Leaving directory '/home/larena/aports/main/zeromq/src/zeromq-4.2.2'
>>> ERROR: zeromq*: check failed
>>> ERROR: zeromq: all failed

|_eo

---

From: Valery Kartel <[email-masked]>
Date: Thu, 6 Apr 2017 15:54:08 +0300

Hmm, check() pass OK only when runs interactively, but fails when runs via
'abuild check'.

made a patch.